#ifndef SELECTORS_H
#define SELECTORS_H

#include "folder.h"

namespace pitacard { namespace util {

    using namespace pitacard::data;

    typedef vector<Folder::Cards::const_iterator> Cards;
    
    struct InOrderSelector
    {
	Cards::const_iterator
	nextCard(const Cards& cards,
		 Cards::const_iterator curr);
    };
    
    struct RandomSelector
    {
	Cards::const_iterator
	nextCard(const Cards& cards,
		 Cards::const_iterator curr);
    }; 
    
} }

#endif
